Bug 993804 - BPMS distribution possibly missing certain droolsjbpm artifacts
BPMS distribution possibly missing certain droolsjbpm artifacts
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: Kris Verlaenen
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 08:17 EDT by Lukáš Petrovický
Modified: 2014-08-06 16:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:06:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Petrovický 2013-08-06 08:17:51 EDT
Drools+jBPM project contain a lot of Maven modules, many of which provide JAR artifacts. Of these, the following are not present in BPMS:

The following are probably OK to be missing:

drools-examples
drools-examples-api
drools-examples-cdi
drools-maven-plugin
jbpm-examples
drools-benchmark
drools-camel-server-example
droolsjbpm-osgi-examples
droolsjbpm-integration-examples

For the following, we will have to make a decision whether to include them or not:

drools-verifier           
drools-jsr94
knowledge-api-legacy5-adapter
jbpm-test
jbpm-audit
drools-spring-legacy5
drools-camel-legacy5
drools-karaf-features
drools-karaf-itest
drools-rhq-plugin
kie-services-client
kie-services-remote
kie-aries-blueprint
drools-jboss-integration
drools-osgi-integration

(Please note that I have filed a similar bug 993787 for BRMS with a slightly different lists.)
Comment 2 Rajesh Rajasekaran 2013-10-29 16:41:37 EDT
Is this issue still relevant with the ER4 build?
Comment 3 Lukáš Petrovický 2013-10-30 04:21:55 EDT
Yes. No work has been done here; we should start by deciding whether or not we want those JARs shipped and supported.
Comment 5 Geoffrey De Smet 2013-10-30 05:21:29 EDT
Why is the assembly code in the repo droolsjbpm-integration? Shouldn't that be in droosjbpm-build-distribution? (and adjust the repository-list.txt order if needed)
Comment 6 Pedro Zapata 2013-10-31 12:29:29 EDT
BPMS. Current list of inclusions / exclusions 

Include:
==================================

kie-maven-plugin  @ org.kie

drools-karaf-features     @ org.drools.integration 
drools-karaf-itest	  @ org.drools.integration
drools-rhq-plugin         @ org.drools.integration
drools-jboss-integration  @ org.drools.integration
drools-osgi-integration   @ org.drools.integration
drools-verifier
kie-aries-blueprint       @ org.drools.integration

knowledge-api-legacy5-adapter @org.drools


Exclude:
=================================
kie-services-remote
optaplanner-webexamples
drools-examples
drools-examples-api
drools-examples-cdi
jbpm-examples
drools-benchmark
drools-camel-server-example
droolsjbpm-osgi-examples
droolsjbpm-integration-examples
Comment 7 Pedro Zapata 2013-11-04 10:22:58 EST
Binary distributions must be updated before modules (if finally needed)
Comment 9 Lukáš Petrovický 2013-11-25 04:48:31 EST
The following JARs are not present in BPMS 6.0 ER5:

knowledge-api-legacy5-adapter
drools-spring-legacy5
drools-camel-legacy5
kie-services-client
kie-services-remote
drools-jboss-integration
jbpm-test
jbpm-audit
jbpm-human-task-audit
kie-maven-plugin
kie-aries-blueprint
drools-reteoo
drools-karaf-features
drools-osgi-integration

If we are OK with this, this issue can be resolved.
Comment 10 Kris Verlaenen 2013-11-25 10:32:16 EST
Lukas,

Not sure this is accurate?  I've downloaded ER5 and found most of them to be included.  More specifically:

knowledge-api-legacy5-adapter
--> is the knowledge-api jar
drools-spring-legacy5
drools-camel-legacy5
--> both excluded as replaced by similar new jars containing same functionality
kie-services-client
kie-services-remote
--> both included it seems
drools-jboss-integration
--> this should not be included
jbpm-test
jbpm-audit
jbpm-human-task-audit
kie-maven-plugin
kie-aries-blueprint
drools-reteoo
drools-karaf-features
drools-osgi-integration
--> all these seem to be included
Comment 11 Lukáš Petrovický 2013-12-05 15:38:22 EST
I confirm Kris' findings with ER5. Not sure what happened when I was checking last time.

VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.